WEECHAT(1)

NAME
weechat - the extensible chat client

SYNOPSIS
weechat [-a|--no-connect] [-d|--dir <path>] [-p|--no-plugin] [-r|--run-command <command>] [-s|--no-script] [--upgrade] [plugin:option...]
weechat [-c|--colors]
weechat [-h|--help]
weechat [-l|--license]
weechat [-v|--version]

DESCRIPTION
WeeChat (Wee Enhanced Environment for Chat) is a free chat client, fast and light, designed for many operating systems. It is highly customizable and extensible with scripts.

OPTIONS

-a, --no-connect
    Disable auto-connect to servers when WeeChat is starting.

-c, --colors
    Display default colors in terminal.

-d, --dir <path>
    Set path as home for WeeChat (used for configuration files, logs, user plugins and scripts), default value is ~/.weechat (note: directory is created if not found by WeeChat). If this option is not given, the environment variable WEECHAT_HOME is used (if not empty).

-h, --help
    Display help.

-l, --license
    Display WeeChat license.

-p, --no-plugin
    Disable plugins auto-load.

-r, --run-command <command>
    Run command(s) after startup (many commands can be separated by semicolons).

-s, --no-script
    Disable scripts auto-load.

--upgrade
    Upgrade WeeChat using session files generated with command /upgrade -quit.

-v, --version
    Display WeeChat version.

plugin:option
    Option for a plugin.

PLUGIN OPTIONS
For complete doc on plugin options, please look at plugins documentation in WeeChat user&#8217;s guide. With irc plugin, you can connect to temporary server with an URL like:
irc[6][s]://[[nickname][:password]@]server[:port][/#channel1[,#channel2...]]
To join WeeChat IRC channel support with nick "mynick":
irc://mynick@chat.freenode.net/#weechat
IPv6 address can be enclosed in brackets to add a port after address, for example:
irc://mynick@[2001:db8:0:85a3::ac1f:8001]:6668/#test

FILES

$HOME/.weechat/weechat.conf
    main WeeChat configuration file

$HOME/.weechat/plugins.conf
    plugins configuration file

$HOME/.weechat/sec.conf
    configuration file with secured data

$HOME/.weechat/alias.conf
    configuration file for alias plugin

$HOME/.weechat/aspell.conf
    configuration file for aspell plugin

$HOME/.weechat/charset.conf
    configuration file for charset plugin

$HOME/.weechat/exec.conf
    configuration file for exec plugin

$HOME/.weechat/irc.conf
    configuration file for irc plugin

$HOME/.weechat/logger.conf
    configuration file for logger plugin

$HOME/.weechat/relay.conf
    configuration file for relay plugin

$HOME/.weechat/script.conf
    configuration file for script plugin

$HOME/.weechat/trigger.conf
    configuration file for trigger plugin

$HOME/.weechat/xfer.conf
    configuration file for xfer plugin

$HOME/.weechat/weechat.log
    WeeChat log file

AUTHORS
This manpage was written by Sébastien Helleu <flashcode@flashtux.org>.

COPYRIGHT
WeeChat is written by Sébastien Helleu and contributors (complete list is in the AUTHORS.asciidoc file). Copyright © 2003-2016 Sébastien Helleu <flashcode@flashtux.org> WeeChat is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version. Please read the COPYING file for more information. Web: https://weechat.org/

SUPPORT / REPORTING BUGS
For help or a bug report: https://weechat.org/dev/support